com.sun.j3d.utils.image

## Class ImageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.j3d.utils.image.ImageException

- All Implemented Interfaces:
    java.io.Serializable

      public class ImageException
      extends java.lang.RuntimeException

  Exception used to indicate that the texture loader encountered a problem loading the specified image file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageException()`
    `ImageException(java.lang.String s)`
    `ImageException(java.lang.Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageException

          public ImageException()

    - #### ImageException

          public ImageException(java.lang.String s)

    - #### ImageException

          public ImageException(java.lang.Throwable t)

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.